Update Team Security
PUT
/company/team_securityAuthorization
cookieAuth __Host-hms_session<token>
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/company/team_security" \ -H "Content-Type: application/json" \ -d '{ "remember_device_days": 0 }'{ "data": { "id": "string", "object": "company", "livemode": true, "created_at": "string", "brand": { "name": "string", "logo_url": "http://example.com", "icon_url": "http://example.com", "initials": "string" }, "invoices": { "legal_name": "string", "address": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postal_code": "string", "country": "string" }, "tax_number": "string", "registration_number": "string", "sales_tax_numbers": [ { "country": "string", "type": "ein", "number": "string" } ] }, "statement": { "name": "string", "include_product": true, "prefix": "string", "example": "string", "sync_status": "applied", "waiting_for_account": true }, "support": { "email": "user@example.com", "phone": "string", "help_url": "http://example.com", "chat_url": "http://example.com" }, "timezone": "string", "default_currency": "string", "terms": { "terms_url": "http://example.com", "privacy_url": "http://example.com", "version": "string", "require_checkbox": true }, "team_security": { "two_factor_required": "owners", "remember_device_days": 0 }, "product_ids": [ "026d7765-cea5-4b36-a2c4-f616e464c692" ], "product_overrides": [ { "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "brand": { "name": "string", "logo_url": "http://example.com", "icon_url": "http://example.com", "initials": "string" }, "use_company_assets": true, "statement_name": "string", "statement_prefix": "string", "statement_example": "string", "support": { "email": "user@example.com", "phone": "string", "help_url": "http://example.com", "chat_url": "http://example.com" }, "invoices": { "legal_name": "string", "address": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postal_code": "string", "country": "string" }, "tax_number": "string", "registration_number": "string", "sales_tax_numbers": [ { "country": "string", "type": "ein", "number": "string" } ] }, "timezone": "string", "default_currency": "usd", "require_terms_checkbox": true } ] }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}